
package shub.dpm;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class param implements IRemote{
	public static param mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public param() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
	public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("param"), "shub.dpm.param");
	}

public boolean isSingleton() {
		return true;
	}
     public static RemoteObject getObject() {
		return myClass;
	 }

	public RemoteObject activityBA;
	public RemoteObject _activity;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
		activityBA = (RemoteObject) args[2];
		_activity = (RemoteObject) args[3];
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[4];
        remoteMe = (RemoteObject) args[5];
		pcBA = new PCBA(this, param.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _txturl = RemoteObject.declareNull("anywheresoftware.b4a.objects.EditTextWrapper");
public static RemoteObject _btnparamsave = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _btnparamcancel = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _txttimeout = RemoteObject.declareNull("anywheresoftware.b4a.objects.EditTextWrapper");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static shub.dpm.main _main = null;
public static shub.dpm.listdata _listdata = null;
public static shub.dpm.starter _starter = null;
public static shub.dpm.tempdata _tempdata = null;
public static shub.dpm.about _about = null;
public static shub.dpm.appmain _appmain = null;
public static shub.dpm.httputils2service _httputils2service = null;
public static shub.dpm.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"About",Debug.moduleToString(shub.dpm.about.class),"Activity",param.mostCurrent._activity,"AppMain",Debug.moduleToString(shub.dpm.appmain.class),"btnParamCancel",param.mostCurrent._btnparamcancel,"btnParamSave",param.mostCurrent._btnparamsave,"DateUtils",param.mostCurrent._dateutils,"HttpUtils2Service",Debug.moduleToString(shub.dpm.httputils2service.class),"ListData",Debug.moduleToString(shub.dpm.listdata.class),"Main",Debug.moduleToString(shub.dpm.main.class),"Starter",Debug.moduleToString(shub.dpm.starter.class),"TempData",Debug.moduleToString(shub.dpm.tempdata.class),"txtTimeout",param.mostCurrent._txttimeout,"txtUrl",param.mostCurrent._txturl,"XUIViewsUtils",Debug.moduleToString(shub.dpm.xuiviewsutils.class)};
}
}